{ pkgs, ... }: 

{
  	services.greetd-hyprland.enable = true;
  	services.nvidia.enable = true;
  	services.fingerprint-fix = {
		enable = true;
		calibDataFile = ./calib-data.bin;
	};

  	services.upower.enable = true;
  	services.udev.enable = true;
  	services.udev.packages = [ pkgs.hyprland ];

  	services.printing = {
    	enable = true;
    	drivers = with pkgs; [ hplipWithPlugin ];
  	};

	security.rtkit.enable = true;
	services.pipewire = {
  		enable = true;
  		alsa.enable = false;
  		alsa.support32Bit = true;
  		pulse.enable = true;
  		jack.enable = true;
	};

	systemd.services.bluetooth.serviceConfig.ExecStart = pkgs.lib.mkForce [
  		""
  		"${pkgs.bluez}/libexec/bluetooth/bluetoothd -f /etc/bluetooth/main.conf -C"
	];

	hardware.bluetooth.enable = true;
	hardware.bluetooth.powerOnBoot = true;

	services.blueman.enable = true;

	services.gvfs.enable = true;
	services.tlp = {
      	enable = true;
      	settings = {
       		START_CHARGE_THRESH_BAT0 = 40;
       		STOP_CHARGE_THRESH_BAT0 = 80;
		};
	};

	services.dbus.enable = true;
}
