{ inputs, pkgs, ... }: 

{
  	imports = [ ./fish ];
	
	programs.pywal.enable = true;
	programs.ags = {
    	enable = true;
    	extraPackages = with inputs.ags.packages.${pkgs.system}; [
      		apps battery bluetooth greet hyprland mpris network notifd powerprofiles tray wireplumber
    	] ++ [
      		pkgs.dart-sass pkgs.fzf pkgs.icon-library
    	];
  	};

	services.darkman = {
    	enable = true;
    	darkModeScripts = {
        	gtk-theme = ''
          		${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-dark'"
        	'';

			wallpaper = ''
				$HOME/.config/hypr/scripts/random-wallpaper.sh
			'';
      	};

      	lightModeScripts = {
        	gtk-theme = ''
          		${pkgs.dconf}/bin/dconf write\
          		/org/gnome/desktop/interface/color-scheme "'prefer-light'"
        	'';

			wallpaper = ''
				$HOME/.config/hypr/scripts/random-wallpaper.sh
			'';
      	};

      	settings.usegeoclue = false;
    };
}
